Skip to main content
POST
/
accounts
/
{accountId}
/
party-roles
Add a party to an account
curl --request POST \
  --url https://api.venlyfinance.com/api/v1/accounts/{accountId}/party-roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "partyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "roleType": "ACCOUNT_HOLDER"
}
'
{
  "success": true,
  "result": {
    "partyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "roleType": "ACCOUNT_HOLDER",
    "status": "ACTIVE",
    "party": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "partyType": "INDIVIDUAL",
      "status": "ACTIVE",
      "firstName": "<string>",
      "lastName": "<string>",
      "kycStatus": "PENDING",
      "name": "<string>",
      "vatNumber": "<string>",
      "kybStatus": "PENDING",
      "address": {
        "addressLine1": "<string>",
        "city": "<string>",
        "postalCode": "<string>",
        "country": "<string>",
        "addressLine2": "<string>",
        "state": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string<uuid>

Unique key for idempotent requests (UUID recommended)

Path Parameters

accountId
string<uuid>
required

Body

application/json
partyId
string<uuid>
required

ID of the party to add to the account

roleType
enum<string>
required

Role type for party-account relationship

Available options:
ACCOUNT_HOLDER

Response

Party role added

success
boolean

Indicates whether the request was successful

result
object

Represents the relationship between a Party and an Account